# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xmlindent/xmlindent-0.2.17-r1.ebuild,v 1.4 2012/07/29 16:01:34 armin76 Exp $

EAPI="2"

USE_RUBY="ruby18 ruby19 ruby20"

inherit toolchain-funcs git-2 cmake-utils ruby-ng
EGIT_REPO_URI="https://github.com/yast/yast-ruby-bindings.git"

DESCRIPTION="YaST2 - Core Libraries"
HOMEPAGE="http://github.com/yast/yast-ruby-bindings"
#SRC_URI="mirror://sourceforge/xmlindent/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~arm"

IUSE=""
DEPEND="app-misc/fdupes
	app-text/docbook-xsl-stylesheets
	dev-libs/libxslt
	dev-perl/XML-Writer
	app-doc/doxygen
	dev-tcltk/expect
	dev-util/dejagnu
	sys-libs/libxcrypt
	dev-ruby/yard
	dev-util/yast-devtools"

RDEPEND="dev-libs/yast-core
	dev-ruby/ruby-gettext"

pkg_setup() { 
   ruby-ng_pkg_setup 
} 

src_unpack() { 
	git-2_src_unpack
	cd "${WORKDIR}" 
	mkdir all 
	mv ${P} all/ || die "Could not move sources" 
} 

all_ruby_prepare() { 
	cmake-utils_src_prepare 
} 

each_ruby_configure() { 
	CMAKE_USE_DIR=${S} 
	local mycmakeargs=(
		"-DRUBY_LIBRARY=$(ruby_get_libruby)"
		"-DRUBY_INCLUDE_PATH=$(ruby_get_hdrdir)"
		"-DRUBY_EXECUTABLE=${RUBY}" )
	cmake-utils_src_configure
}


each_ruby_compile() { 
	CMAKE_USE_DIR=${S} 
	cmake-utils_src_compile 
} 

each_ruby_install() { 
	CMAKE_USE_DIR=${S} 
	cmake-utilsa_src_install 
} 

#src_prepare() {
	# we use xcrypt ne need for the suse glibc owcrypt
#	sed -e "s!owcrypt!xcrypt!" -i configure.in.in
#	sed -e "s!<crypt.h>!<xcrypt.h>!" -i libycp/src/y2crypt.cc
#}

#src_install() {
#	emake DESTDIR="${D}" install || die
#}
